## Class template range_manipulator<RangeT, void>

boost::log::range_manipulator<RangeT, void>

## Synopsis

    // In header: <boost/log/utility/manipulators/range.hpp>

    template<typename RangeT>
    class range_manipulator<RangeT, void> {
    public:
      // construct/copy/destruct
      explicit range_manipulator(RangeT const &) noexcept;

      // public member functions
      template<typename StreamT> void output(StreamT &) const;
    };

## Description

Stream manipulator for inserting a range of elements. Specialization for when there is no delimiter.

### `range_manipulator` public construct/copy/destruct

1.     explicit range_manipulator(RangeT const & range) noexcept;

   Initializing constructor.

### `range_manipulator` public member functions

1.     template<typename StreamT> void output(StreamT & stream) const;

   The method outputs elements of the range.